Subject: Re: bug#26021: 25.1; GDB/GUD tooltip error

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Mar 2017 10:27:56 +0200

> From: Live System User <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 16 Mar 2017 20:30:07 -0400
> 
> > Does it help to add the condition
> >
> >    (markerp gud-overlay-arrow-position)
> >
> > to the expression that is the value of the gud-tooltip-display
> > defcustom?
> 
>       I added:
>   
> (add-to-list 'gud-tooltip-display '(markerp gud-overlay-arrow-position))
> 
>       yielding:
> 
> gud-tooltip-display is a variable defined in ‘gud.el.gz’.
> [...]
> Value: ((markerp gud-overlay-arrow-position)
>  (eq
>   (tooltip-event-buffer gud-tooltip-event)
>   (marker-buffer gud-overlay-arrow-position)))
> 
> 
>       to my GDB initiatizations and will see if I get the error again.

I think you need

  (and (markerp gud-overlay-arrow-position)
       (eq
        (tooltip-event-buffer gud-tooltip-event)
	(marker-buffer gud-overlay-arrow-position)))

instead.